Bug 857655 - [abrt] R-core-2.15.1-1.fc17: rl_free_undo_list: Process /usr/lib64/R/bin/exec/R was killed by signal 6 (SIGABRT)
[abrt] R-core-2.15.1-1.fc17: rl_free_undo_list: Process /usr/lib64/R/bin/exec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:113ee55c74b1624b511ffc0415e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-15 11:34 EDT by Andrej Podzimek
Modified: 2013-08-01 07:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.46 KB, text/plain)
2012-09-15 11:34 EDT, Andrej Podzimek
no flags Details
File: environ (3.68 KB, text/plain)
2012-09-15 11:34 EDT, Andrej Podzimek
no flags Details
File: backtrace (8.53 KB, text/plain)
2012-09-15 11:34 EDT, Andrej Podzimek
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-15 11:34 EDT, Andrej Podzimek
no flags Details
File: cgroup (127 bytes, text/plain)
2012-09-15 11:34 EDT, Andrej Podzimek
no flags Details
File: maps (11.72 KB, text/plain)
2012-09-15 11:34 EDT, Andrej Podzimek
no flags Details
File: dso_list (2.56 KB, text/plain)
2012-09-15 11:34 EDT, Andrej Podzimek
no flags Details
File: var_log_messages (22.50 KB, text/plain)
2012-09-15 11:34 EDT, Andrej Podzimek
no flags Details
File: open_fds (138 bytes, text/plain)
2012-09-15 11:34 EDT, Andrej Podzimek
no flags Details

  None (edit)
Description Andrej Podzimek 2012-09-15 11:34:28 EDT
Description of problem:
R just crashed when help(something) was called. It had been working fine for a couple of hours before that.

Version-Release number of selected component:
R-core-2.15.1-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/lib64/R/bin/exec/R
crash_function: rl_free_undo_list
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #5 rl_free_undo_list at ../undo.c
: #6 readline_internal_teardown at ../readline.c
: #7 rl_callback_read_char at ../callback.c
: #8 Rstd_ReadConsole at sys-std.c
: #9 Rf_ReplIteration at main.c
: #10 R_ReplConsole at main.c
: #11 run_Rmainloop at main.c
: #12 Rf_mainloop at main.c
Comment 1 Andrej Podzimek 2012-09-15 11:34:31 EDT
Created attachment 613280 [details]
File: core_backtrace
Comment 2 Andrej Podzimek 2012-09-15 11:34:33 EDT
Created attachment 613281 [details]
File: environ
Comment 3 Andrej Podzimek 2012-09-15 11:34:35 EDT
Created attachment 613282 [details]
File: backtrace
Comment 4 Andrej Podzimek 2012-09-15 11:34:36 EDT
Created attachment 613283 [details]
File: limits
Comment 5 Andrej Podzimek 2012-09-15 11:34:39 EDT
Created attachment 613284 [details]
File: cgroup
Comment 6 Andrej Podzimek 2012-09-15 11:34:41 EDT
Created attachment 613285 [details]
File: maps
Comment 7 Andrej Podzimek 2012-09-15 11:34:42 EDT
Created attachment 613286 [details]
File: dso_list
Comment 8 Andrej Podzimek 2012-09-15 11:34:45 EDT
Created attachment 613287 [details]
File: var_log_messages
Comment 9 Andrej Podzimek 2012-09-15 11:34:46 EDT
Created attachment 613288 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 23:39:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 07:32:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.